Bug 149203 - rhn-applet-gui fails though rhn-applet-tui works; Error Class Code: 140
rhn-applet-gui fails though rhn-applet-tui works; Error Class Code: 140
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-20 20:42 EST by Iain Gray
Modified: 2014-06-18 03:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin C. Messer 2005-02-20 20:42:27 EST
Description of problem:

The GUI RHN Applet remains in a perpetual "Checking RHN for updates..." state. I
Exit the GUI Applet and run the TUI applet from a terminal. I get back a list of
the outstanding updates, as expected. I then run the GUI from the command line
and get output below.

Version-Release number of selected component (if applicable):

rhn-applet-2.1.18-4

How reproducible:

Always

Actual results:

Traceback (most recent call last):
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 460, in refresh_ha
ndler
    self.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 577, in refresh
    if self.nag_check():
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 538, in nag_check
    bc = self.model.has_base_channel()
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line 335, in has_
base_channel
    base_channel = source.has_base_channel()
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_rpc.py", line 181, in has_ba
se_channel
    raise rhnAppletRPCFault(f.faultCode, f.faultString)
rhn_utils.rhnAppletRPCFault: Server Communication Error -140:
Error Message:
    Your system was not found in the RHN database
Error Class Code: 140
Error Class Info: Unable to look up server
Comment 2 dudek 2005-03-07 10:24:20 EST
We are seing a similar problem at the University at Buffalo.  Several users at
our site are having this problem.  On the surface the rhn-applet-gui applet
reports that the system is up to date.  In reality, it is not successfully
checking in.  Also, when you right-click on the applet, all of the options
except "Exit" are greyed out.  When I run rhn-applet-gui from the terminal, I
get the following output:

-----begin-----
Traceback (most recent call last):
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 460, in
refresh_handler
    self.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 577, in refresh
    if self.nag_check():
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 538, in nag_check
    bc = self.model.has_base_channel()
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line 335, in
has_base_channel
    base_channel = source.has_base_channel()
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_rpc.py", line 181, in
has_base_channel
    raise rhnAppletRPCFault(f.faultCode, f.faultString)
rhn_utils.rhnAppletRPCFault: Server Communication Error -1: IMPORTANT MESSAGE
FOLLOWS:
 
Red Hat Network is currently experiencing technical difficulties.
 
We apologize for any inconvenience this outage may cause.
 
Thank you for using Red Hat Network.
 
--the RHN team
-----end----- 
                                                                                
A manual up2date works fine.

NOTE:  We have the RHN Proxy Service.
Comment 3 Craig Lawson 2005-03-23 23:23:53 EST
This looks like a duplicate of bug 143820.
Comment 4 Robin Norwood 2006-10-17 12:04:58 EDT
mass reassign to mmccune
Comment 5 Red Hat Bugzilla 2007-04-11 20:13:20 EDT
User bnackash@redhat.com's account has been closed
Comment 6 Red Hat Bugzilla 2007-10-23 00:37:24 EDT
User mmesser@redhat.com's account has been closed
Comment 8 Jiri Pallich 2012-06-20 12:18:53 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.